Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class StringLiteral

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.Expression
          org.apache.taglibs.standard.lang.jstl.Literal
              org.apache.taglibs.standard.lang.jstl.StringLiteral

    public class StringLiteral

extends Literal

An expression representing a String literal value.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Method Summary
`static StringLiteral` | `fromLiteralValue(String pValue)` Returns a StringLiteral with the given string value
`static StringLiteral` | `fromToken(String pToken)` Returns a StringLiteral parsed from the given token (enclosed by single or double quotes)
`String` | `getExpressionString()` Returns the expression in the expression language syntax
`static String` | `getValueFromToken(String pToken)` Parses the given token into the literal value
`static String` | `toIdentifierToken(String pValue)` Converts the specified value to an identifier token, escaping it as a string literal if necessary.
`static String` | `toStringToken(String pValue)` Converts the specified value to a String token, using " as the enclosing quotes and escaping any characters that need escaping.

Methods inherited from class org.apache.taglibs.standard.lang.jstl.Literal
`evaluate, getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fromToken

    public static StringLiteral fromToken(String pToken)

  Returns a StringLiteral parsed from the given token (enclosed by single or double quotes)

### fromLiteralValue

    public static StringLiteral fromLiteralValue(String pValue)

  Returns a StringLiteral with the given string value

### getValueFromToken

    public static String getValueFromToken(String pToken)

  Parses the given token into the literal value

### toStringToken

    public static String toStringToken(String pValue)

  Converts the specified value to a String token, using " as the enclosing quotes and escaping any characters that need escaping.

### toIdentifierToken

    public static String toIdentifierToken(String pValue)

  Converts the specified value to an identifier token, escaping it as a string literal if necessary.

### getExpressionString

    public String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.